!!======================================================================

  SUBROUTINE agrif_obc_ssh(xeuv)
!
!********************************************************************
!
!     objet    : routine de calculs des conditions aux limites
!                en niveau dans le cas d un modele emboite, pour lequel
!                on dispose d un fichier de conditions aux limites etabli
!                par un grand modele le contenant. Cas des frontieres
!                rectiligne.
!
!
!     appelant         : init_xe, stepu, stepv, step2dxy, step2dyx
!                      :
!     appeles          :
!                      :
!     canal d ecriture :
!                      :
!     canal de lecture :
!                      :
!     cle cpp          :
!                      :
!     variables in     : nbouc, nbouc2d, filecl, ieac, iwac
!     variables in     : jnac, jsac, dgac, dfiac, dgp, dfip
!     variables in     : t, it
!                      :
!     variables out    : xe, ul, vl
!                      :
!     variables inout  : xlim, ylim
!                      :
!     dernieres modifs : 13/10/2005
!                      : 12/12/2007 F. Dumas (test sur profondeur 2m au lieu de 2*h0fond)
!&E       !  2009-05  (F. Dumas)  AGRIF pour nouveau schema temporel
!&E       !  2011-11  (V. Garnier) Spatial extension of ssh(liminm2:limaxp2,ljminm2:ljmaxp2)
!                      :
!***********************************************************































































   USE parameters, ONLY : rsh,liminm2,limaxp2,ljminm2,ljmaxp2
   REAL(kind=rsh),DIMENSION(liminm2:limaxp2,ljminm2:ljmaxp2),INTENT( in ) :: xeuv



   !PRINT*, 'exit AGRIF_OBC_SSH routine'

  END SUBROUTINE agrif_obc_ssh

!!======================================================================


